// =====================================================================
//  $Id: TBrowserUserInterface.cc,v 1.4 2004/03/07 10:30:31 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TBrowserUserInterface.cc,v $
//  Revision 1.4  2004/03/07 10:30:31  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:40  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:18:51  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TBrowserUserInterface.hh"

TBrowserUserInterface::TBrowserUserInterface( const Tstring& history )
  : TUserInterface( history ), theAcceptString( "" )
{;}

TBrowserUserInterface::~TBrowserUserInterface()
{;}

Tbool TBrowserUserInterface::AcceptCommand()
{
  return Ttrue;
}

const Tstring& TBrowserUserInterface::GetInputCommand()
{
  return theAcceptString;
}

Tvoid TBrowserUserInterface::NotFoundCommand( const Tstring& commandname ) const
{
  return;
}




#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TBrowserUserInterface)
#endif
